The active profile's last 20 finished online hands of a game, newest first.
GET
/api/rooms/history
const url = 'https://example.com/api/rooms/history?game=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/rooms/history?game=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”game
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
roomId
required
string format: uuid
hand
required
integer format: int32
finishedAt
required
string format: date-time
seat
required
integer format: int32
place
required
integer format: int32
points
required
integer format: int32
players
required
integer format: int32
Example generated
[ { "roomId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "hand": 1, "finishedAt": "2026-04-15T12:00:00Z", "seat": 1, "place": 1, "points": 1, "players": 1 }]Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}